<?php   
namespace Concrete\Package\LoginBlock\Block\LoginBlock;
use \Concrete\Core\Block\BlockController;
use UserInfo;
use User;
use Authentication;
use Loader;
use Config;
use Page;
use View;
use Permissions;
class Controller extends BlockController {
	
	public $helpers = array('form');

	var $pobj;
	
	protected $btDescription = "Add a login block to your page.";
	protected $btName = "Login Block";
	protected $btTable = 'btLoginBlock';
	protected $btInterfaceWidth = "400";
	protected $btInterfaceHeight = "500";
	
	public function view() {
		$u = new User();
		$this->set('user', $u);
		if (null == $u->checkLogin() || !$u->checkLogin()) {
			$this->set('loginAction', View::url('/login', 'authenticate', 'concrete'));
			$this->set('validationToken',Loader::helper('validation/token')->output('login_concrete', true));
		}
	}
	
	public function getBlockTypeName()
    {
        return t($this->btName);
    }
	
	public function getBlockTypeDescription()
    {
        return t($this->btDescription);
    }
	
	public function add() {
		//Defaults for new blocks
		$this->set('title', t('Login:'));
		$this->set('submitButtonText', t('Login'));
	}

}
