<?php 
namespace Concrete\Package\LoginBlock;
use Package;
use BlockType;
use Loader;
defined('C5_EXECUTE') or die(_("Access Denied."));


class controller extends Package {
	protected $pkgHandle = 'login_block';
	protected $appVersionRequired = '5.7.0.4';
	protected $pkgVersion = '0.9.3';
	
	public function getPackageName() {
		return t('Login Block');
	}
	
	public function getPackageDescription() {
		return t('Add a login block to your page.');
	}
	
	public function install() {
		$pkg = parent::install();
		
		BlockType::installBlockTypeFromPackage('login_block', $pkg);
	}
	
	public function uninstall() {
		parent::uninstall();
		$db = Loader::db();
		$db->Execute('DROP TABLE btLoginBlock');
	}
}